.text-format-basic-html {
  text-underline-offset: 2px;
  color: var(--text-secondary);
  --leaf-decoration-color: currentColor;

  & hr {
    height: 1px;
    background-color: var(--text-secondary);
    margin: 24px;

    @container (min-width: 768px) {
      margin: 24px 64px;
    }
  }

  & a {
    font-weight: 500;
  }

  & p {
    padding-bottom: 16px;
    & a {
      margin-top: 8px;
    }
  }

  & h2 {
    padding-bottom: 24px;
    padding-top: 24px;
  }

  & h3,h4,h5,h6 {
    padding-top: 24px;
    padding-bottom: 20px;
  }

  & blockquote {
    margin: auto;
    font-family: var(--font-laila), serif;
    background-color: var(--bg-tertiary);
    color: var(--text-secondary);
    padding: 16px 24px;
    border-radius: 40px 0;
    margin: 16px auto 0 auto;

    & > * {
      text-align: center;

      &:last-child {
        margin: 0;
      }
    }

    @container (min-width: 640px) {
      max-width: 640px;
      padding: 20px 64px;
    }
  }

  & ul {
    list-style: disc;
    padding-bottom: 16px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    list-style-position: inside;
  }

  & ul ul {
    margin-left: 10px;
    margin-top: 8px;
  }

  & ul.with-leaf {
    list-style: none;

    & > ul {
      margin-left: 0;
    }

    & > li {
      align-items: start;
      position: relative;
      padding-left: 32px;
    }

    & > li::before {
      content: "";
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      width: 16px;
      height: 16px;
      background-color: var(--leaf-decoration-color);
      mask-image: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-leaf.svg");
      mask-repeat: no-repeat;
      mask-size: contain;
    }
  }

  .text-large .link--primary {
    text-decoration: none;
    font-family: 'Laila', sans-serif;
  }
}

.node--type-program-page .text-format-basic-html {
  --leaf-decoration-color: var(--link-primary);
}
